# Function deriveAddress

- deriveAddress(seeds, programId): PublicKey

- Find valid program address. See PublicKey.findProgramAddressSync for details.

  #### Parameters

  - ##### seeds: (Uint8Array | Buffer)[]

    seeds for PDA

  - ##### programId: PublicKeyInitData

    program address

  #### Returns PublicKey

  PDA

  - Defined in platforms/solana/src/utils/utils/account.ts:15

Generated using TypeDoc